E2CP(1)

NAME
e2cp - copies files from/to an e2fs filesystem

SYNOPSIS
e2cp [options] files... dest

DESCRIPTION
The e2cp command copies files to/from an e2fs filesystem from/to the machine's filesystem.

OPTIONS
A single `-' (dash) can be used instead of a file name to indicate standard input/output.

-0  Input lines terminated by a null character.

-a  Absolute directory names - create directories instead of just copying into the destination. Only valid for copying into an ext2fs filesystem.

-d dest_dir
    Destination of files to be copied. May be in the ext2fs filesystem or the host filesystem.

-G gid
    Set the default group to gid.

-O uid
    Set the default file owner to uid.

-p  Preserve host file attributes (permissions, times, etc.) when copying files.

-P mode
    Set the file permissions (ie 755, 666).

-s src_dir
    The source of the files to be copied.

-v  Be verbose.

EXAMPLES

Copy a file and use the default permission and ownership of the current user:

    e2cp README.txt /tmp/boot.img:/tmp

Do the same thing, but keep permissions & ownership:

    e2cp -p README.txt /tmp/boot.img:/tmp

Dump a file to standard out:

    e2cp /tmp/boot.img:/tmp/README.txt - | wc

Get a file from standard input and put it on an unmounted partition:

    tar cf - /data/logs|gzip| e2cp - /dev/hdb1:/backup/logs.tar.gz

Copy the files from one directory and put them under another directory on an unmounted partition, keeping the original paths, permissions & ownership:

    find /data -type f |tee filelist | e2cp -apv -d /dev/hdb1:/mirror

Copy files from a directory on an unmounted partition to a local directory (Note: this does not recreate the directories in the local filesystem, yet). The list of files are read from standard input:

    e2cp -pv -s /dev/hdb1:/mirror -d /data2 < filelist

Copy a file to a file system and make the group and ownership root

    e2cp -G 0 -O 0 myfile /tmp/boot.img/boot/rootfile

SEE ALSO
e2tools(7), e2ln(1), e2ls(1), e2mkdir(1), e2mv(1), e2rm(1), e2tail(1).

AUTHOR
The e2tools were written by Keith Sheffield <sheff@pobox.com>.

This manual page was written by Lucas Wall <lwall@debian.org>, for the Debian project (but may be used by others).